Mailinglist Archive: opensuse-packaging (132 mails)

< Previous Next >
Re: [opensuse-packaging] Conflicting gcc versions?
Richard Biener wrote:
On Thu, 5 Jan 2017, Ludwig Nussel wrote:
Richard Biener wrote:
[...]
SLE released gcc6 as maintenance update for GA in September.

So why was it then not "pushed"/"auto-submitted" to 42.2 from that then?

The package was marked as coming from Factory plus the one that
appeared as SLE Update had a different srcmd5. So a script can't see
the relation. This needs a nudge from a human.

But yes, unfortunately required project config changes are not tied
to packages.

AFAICS a mix of gcc 4.8, gcc 5 and gcc 6 libraries is used in SLE.
So we end up with three compilers in Ring0 now?

Quite possibly yes, though only gcc48 should take part in the
"bootstrapping", gcc5 and gcc6 should just build once.

What I see in Ring0 with gcc5 doesn't confirm that :-)

cu
Ludwig

--
(o_ Ludwig Nussel
//\
V_/_ http://www.suse.com/
SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard,
Graham Norton, HRB 21284 (AG Nürnberg)
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >